.navbar {
    background-color: #f5f5f5;
    padding: 20px;
}

.navbar__menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: flex-end;
}

.navbar__item {
    margin-left: 10px;
}

.navbar__link {
    text-decoration: none;
    color: #333;
    padding: 5px 10px;
    border-radius: 4px;
    transition: background-color 0.3s ease;
}

.navbar__link:hover {
    background-color: #ddd;
}

.login {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0 auto;
    padding: 20px;
    width: 400px;
    background-color: #f5f5f5;
    border-radius: 4px;
}

.login h2 {
    text-align: center;
    color: #333;
}

.login__form {
    display: flex;
    flex-direction: column;
    margin-top: 20px;
}

.login__form-group {
    margin-bottom: 10px;
}

.login__form label {
    color: #333;
    margin-bottom: 5px;
}

.login__form input {
    width: 100%;
    padding: 10px;
    margin: 5px 0 10px;
    border-radius: 4px;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

.login__button {
    padding: 10px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.login__button:hover {
    background-color: #0056b3;
}

.login__signup {
    text-align: center;
    margin-top: 10px;
    color: #333;
}

.not-found {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    text-align: center;
}

.not-found h2 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

.not-found p {
    font-size: 1.2rem;
    margin-bottom: 1rem;
}

.not-found a {
    color: #007bff;
    text-decoration: none;
    font-weight: bold;
}

.not-found a:hover {
    text-decoration: underline;
}

.home {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    text-align: center;
}

.home h1 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.home p {
    font-size: 1.2rem;
    margin-bottom: 2rem;
}

.home__button {
    padding: 0.75rem 2rem;
    font-size: 1.2rem;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    text-decoration: none;
    cursor: pointer;
}

.home__button:hover {
    background-color: #0056b3;
}
